Getting WINE to run on latest Porteus 4 / 64bit?

Post here if you are a new Porteus member and you're looking for some help.
att
Contributor
Contributor
Posts: 134
Joined: 28 Dec 2010, 17:09

Getting WINE to run on latest Porteus 4 / 64bit?

Post#1 by att » 17 Jan 2019, 11:30

Hello,
I know it sounds odd, but somehow I am not sure how to get WINE (Windows Emulator) to run correctly when using the latest Porteus 4 / 64bit.
I used "usm" to search for Wine. -> I found the package -> I installed it and made a module, using "usm" -> it does not work, it is not a 64-bit ELF.
Thus I thought I needed a "compat32" library? -> I could not find one when using "usm".
Now I am clueless.
Can you help me to get a working WINE for Porteus4/64bit ?

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#2 by Ed_P » 17 Jan 2019, 15:12

Ed

burdi01
Samurai
Samurai
Posts: 114
Joined: 18 Aug 2013, 12:09
Distribution: Slackware, Xubuntu
Location: The Netherlands

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#3 by burdi01 » 17 Jan 2019, 16:56

Ed_P wrote:
17 Jan 2019, 15:12
Try this module. Wine-Porteus-Gecko-Mono revised
Well, that is very old stuff -- I see dates in 2016 and even in 2013 ...
Working on a more up-to-date version ...

In the mean time have a look at e.g. https://askubuntu.com/questions/1005683 ... -or-64-bit
:D

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#4 by Ed_P » 17 Jan 2019, 17:50

Your choice. But the Gecko-Mono module works.
Ed

fulalas
DEV Team
DEV Team
Posts: 1470
Joined: 26 Oct 2016, 15:34
Distribution: Porteus
Location: Brazil

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#5 by fulalas » 17 Jan 2019, 22:10

Simply download the official Slackware version and convert it to a XZM module (by right clicking): https://sourceforge.net/projects/wine/f ... 0Packages/
:good:

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#6 by Ed_P » 18 Jan 2019, 01:12

^ Using your link I downloaded wine-3.0.tar.xz, right clicking on the download opened it in P7zip. I extracted the wine-3.0.tar file, right clicking on it opens it in the Archive manager. Using a terminal command of tar2xzm says the command doesn't exist.

Code: Select all

guest@porteus:~$ tar2xzm /home/guest/Downloads/*tar
bash: tar2xzm: command not found
guest@porteus:~$ su
Password: 
root@porteus:/home/guest# tar2xzm /home/guest/Downloads/*.tar
bash: tar2xzm: command not found
root@porteus:/home/guest# 
:hmmm:
Ed

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2314
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#7 by ncmprhnsbl » 18 Jan 2019, 01:58

Ed_P wrote:
18 Jan 2019, 01:12
Using your link
apparently not:
try this slightly more direct link: https://sourceforge.net/projects/wine/f ... .4/x86_64/
or up a couple of directories(fulalas link) gives a bunch of choices..
ah, i see what you did.. don't click the green "download latest version" button ,unless you want to compile it from source..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#8 by Ed_P » 18 Jan 2019, 04:29

ncmprhnsbl wrote:
18 Jan 2019, 01:58
ah, i see what you did.. don't click the green "download latest version" button ,unless you want to compile it from source..
Thank you ncm. Yup, that's what I did and no I don't want to compile it from source. However, right clicking opens the P7zip app not a convert to xzm option. Fortunately txz2xzm works. :)

Code: Select all

guest@porteus:~$ txz2xzm /home/guest/Downloads/*.txz
glibtop(c=12436): [DEBUG] open.c:53 glibtop_open_l(): SIZEOF: 40 - 65648 - 248 - 65624 - 296 - 65624
glibtop(c=12436): [DEBUG] open.c:163 glibtop_open_l(): Calling sysdeps open function.
glibtop(c=12436): [DEBUG] init.c:229 glibtop_init_s(): init_s with features=0xfffffff and flags=0
Verifying package wine-3.0.4-x86_64-1sg.txz.
Installing package wine-3.0.4-x86_64-1sg.txz:
PACKAGE DESCRIPTION:
# wine (Wine Is Not an Emulator)
#
# Wine is an Open Source implementation of the Windows API
# on top of X and Unix.
#
# Homepage: http://www.winehq.com/
#
# Wine releases >= 1.8.4 (1.9.18) built for Slackware 14.2. Please read
# file /usr/doc/wine-<release>/README.slackware for details
#
Executing install script for wine-3.0.4-x86_64-1sg.txz.
Package wine-3.0.4-x86_64-1sg.txz installed.

Creating /home/guest/Downloads/wine-3.0.4-x86_64-1sg.xzm
Ed

burdi01
Samurai
Samurai
Posts: 114
Joined: 18 Aug 2013, 12:09
Distribution: Slackware, Xubuntu
Location: The Netherlands

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#9 by burdi01 » 18 Jan 2019, 13:02

I downloaded wine from the same site, but I used version 3.21 instead of 3.0.4.

From my experience I know that I can use bundles for (my fork of) PartedMagic (.sqfm) in Porteus (.xzm) and vice versa with no or a few amendments but for the rename.
That this time things took longer than expected had to do with my stress.exe test program hard crashing the VirtualBox server side. Actually I had to reboot the host to get things rolling again.

The .xzm in https://drive.google.com/file/d/1I874DI ... sp=sharing can run MsOffice 2007 Pro SP1 ok in Porteus-XFCE-v4.0-x86_64.iso.

There are some rough edges though, so regard things as a proof of concept:
-- the menu is updated for root only;
-- wine complains about an unknown terminal type so should be invoked as e.g. "TERM=xterm wine stress.exe".

Leaving resolving these rough edges to you ...
:D

Edit Jan 18, 2019 17:40 : Emphasised the "in".
Last edited by burdi01 on 18 Jan 2019, 16:42, edited 2 times in total.

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#10 by Ed_P » 18 Jan 2019, 15:06

Your link takes me to a tar.gz file not an .xzm file burdi01. :%)
Ed

burdi01
Samurai
Samurai
Posts: 114
Joined: 18 Aug 2013, 12:09
Distribution: Slackware, Xubuntu
Location: The Netherlands

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#11 by burdi01 » 18 Jan 2019, 16:37

The .xzm in https://drive.google.com/file/d/1I874DI ... sp=sharing ... Added an emphasise to the original link.
The tar.gz also contains the original winehq package and the builder script to make an .xzm out of it.
:D

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#12 by Ed_P » 18 Jan 2019, 17:35

1.1 GB :shock: Compressed!! :o Can you upload just the xzm file?

<sigh> :(
Image

double <sigh> :(
Image
Ed

burdi01
Samurai
Samurai
Posts: 114
Joined: 18 Aug 2013, 12:09
Distribution: Slackware, Xubuntu
Location: The Netherlands

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#13 by burdi01 » 19 Jan 2019, 11:03

1.1 GB :shock: Compressed!! :o Can you upload just the xzm file?
Of course I can. That would be 458 MB. However when distributing an application "Open Source" requires one to at least state the origin of the inputs (and where appropriate include the inputs themselves) as well as the transformations to produce the output too.

When writing this response I realized that I did not state the origin of the 32-bit libraries. So:

Code: Select all

--- builder.orig	2019-01-18 13:34:03.000000000 +0100
+++ builder	2019-01-19 11:12:15.241560035 +0100
@@ -41,6 +41,10 @@
 mksquashfs squashfs-root 085-wine-3.21-x86_64-1pm1sg.sqfm -comp xz -b 1M -noappend
 #rm -Rf squashfs-root
 
+# Porteus64 does not provide the 32-bit libraries wine64 needs when running 
+# 32-bit EXE's. The libraries in the additionals.third directory came from
+# PartedMagic 2019-01-03. Most probably these can be pruned considerably here. 
+
 # Additional files (step 3)
 if [ -d additionals.second/root/.wine ]; then
    cp -a additionals.third/* squashfs-root
<sigh> :( double <sigh> :(
In the .xzm the Mono and Gecko downloads (a large part of the 458 MB above) are included for the "root" user, not the "guest" one.
This is caused by the fact that I treated creating the .xzm as a byproduct of creating PartedMagic's .sqfm. Forking this creation to target Porteus would be more appropriate. I would have to research how to pre-include the downloads for multiple users efficiently though.

:D

User avatar
Ed_P
Contributor
Contributor
Posts: 5209
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#14 by Ed_P » 19 Jan 2019, 16:10

Thank you burdi01, executing Wine as root does indeed solve the <sigh>s. :) :good:
Ed

att
Contributor
Contributor
Posts: 134
Joined: 28 Dec 2010, 17:09

Re: Getting WINE to run on latest Porteus 4 / 64bit?

Post#15 by att » 19 Jan 2019, 16:34

OK now that I got WINE to run thanks to the "wine-1.9.16-x64-3.2-GeckoMono-2.xzm" file .... I wonder if I can get network shares right.

I wanted to share one/several directories so my windows machine in the same local network would copy files over wine, but it seems I don't get this right.

I tried to start the "explorer.exe" that comes with wine, but got some errors :
ontconfig warning: "/etc/fonts/conf.d/90-synthetic.conf", line 5: unknown element "its:translateRule"
Fontconfig error: "/etc/fonts/conf.d/90-synthetic.conf", line 5: invalid attribute 'translate'
Fontconfig error: "/etc/fonts/conf.d/90-synthetic.conf", line 5: invalid attribute 'selector'
Fontconfig error: "/etc/fonts/conf.d/90-synthetic.conf", line 6: invalid attribute 'xmlns:its'
Fontconfig error: "/etc/fonts/conf.d/90-synthetic.conf", line 6: invalid attribute 'version'
Fontconfig error: Cannot load default config file
err:ole:CoGetClassObject class {71f96385-ddd6-48d3-a0c1-ae06e8b055fb} not registered
err:ole:CoGetClassObject no class object {71f96385-ddd6-48d3-a0c1-ae06e8b055fb} could be created for context 0x1
err:explorer:make_explorer_window Could not obtain an instance of IExplorerBrowser
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
err:winediag:schan_imp_init Failed to load libgnutls, secure connections will not be available.
ntlm_auth: /usr/lib64/libreplace-samba4.so: version `SAMBA_4.7.6' not found (required by /usr/lib64/libwbclient.so.0)
ntlm_auth: /usr/lib64/libwinbind-client-samba4.so: version `SAMBA_4.7.6' not found (required by /usr/lib64/libwbclient.so.0)
ntlm_auth: /usr/lib64/libsamba-debug-samba4.so: version `SAMBA_4.7.6' not found (required by /usr/lib64/libndr.so.0)
ntlm_auth: /usr/lib64/libgenrand-samba4.so: version `SAMBA_4.7.6' not found (required by /usr/lib64/libndr.so.0)
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:dwmapi:DwmIsCompositionEnabled 0x6dbd1518
fixme:iphlpapi:NotifyIpInterfaceChange (family 0, callback 0x69ebd3de, context 0x8b6440, init_notify 0, handle 0x119e190): stub
err:module:load_builtin_dll failed to load .so lib for builtin L"winegstreamer.dll": libgstapp-0.10.so.0: cannot open shared object file: No such file or directory
and that was when I gave up (for today).
Is there any way to get network shares to work with WINE?

Post Reply